# AOI - Apenas Outro Instalador
Instala o scoop e depois baixa/instala as aplicações necessárias (code::blocks, gcc, vscode, python) usando o scoo.sh. Por fim é criado um servidor proxy, negando qualquer acesso a internet, exceto ao dominio da boca (boca.facom.ufu.br). Se for necesário qualquer esclarecimento sobre o programa, não hesite em me mandar um email em mortix@ufu.br

## Compilando
Você vai precisar de:
- Da linguagem Go (`sudo apt install golang`, ou https://go.dev/dl)
- Fyne (Biblioteca gráfica utilizada, veja [instruções de instalação aqui.](https://docs.fyne.io/started/))
- Se estiver no linux, é possivel que seja necessário utilizar o [fyne-cross](https://docs.fyne.io/started/cross-compiling) para fazer a compilação para Windows

Após ter tudo necessário, você precisa executar apenas 2 comandos:
1. `go mod tidy`: Resolve as depencias das bibliotecas;
2. `fyne package -release` ou `go build .`: Compila o projeto. Se for a primeira compilação no Windows, ela irá demorar alguns minutos, as compilações seguintes serão mais rápidas.

## Roadmap
Aqui tem algumas ideias que planejo fazer:
- [] Instalar extensões recomendadas para o Visual Studio Code;
- [] Incluir Java;
- [] Repetir menos código.

## Estrutura do código
- `aseets.go`: Contém os icones usados no app;
- `strings.go`: Contém os textos usados no app, incluido os scripts de instalação e de gerenciamento do servidor proxy;
- `main.go`: Contém a logica principal do aplicativo.