package main

var textoPaginaPrincipal = `# Seja bem-vindo!

Esta aplicação irá baixar e instalar tudo o que for necessário
para você começar a resolver os desafios da prova.

Para começar, clique no botão abaixo.`

var scriptInstalação = `
Write-Host "+==== INSTALANDO SCOOP ====+"
iex "& {$(irm get.scoop.sh)} -RunAsAdmin"
Write-Host "+==== SCOOP INSTALADO ====+"
# Instala o scoop mesmo em um shell elevado, necessário mais tarde

Write-Host "+==== Instalando GIT e 7-ZIP ====+"
scoop install 7zip git
Write-Host "+==== FERRAMENTAS INSTALADAS ====+"
# Instala o 7-zip para um desempacotamento de arquivos mais rápidos
# (a função do powershell que faz isso é EXTREMAMENTE lenta),
# e o git para adicionar os buckets (repositórios de aplicativos).

Write-Host "+==== Adicionando Buckets ====+"
scoop bucket add extras
scoop bucket add versions
Write-Host "+==== Buckets Adicionados ====+"
# Adiciona os buckets "extras" e "versions"
# (veja mais em https://github.com/ScoopInstaller/Scoop/wiki/Buckets#what-are-buckets)
`

var scriptProxy = `@echo off
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyEnable /t REG_DWORD /d 1 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyServer /t REG_SZ /d localhost:8080 /f
netsh winhttp import proxy source=ie`

var scriptRemoverProxy = `@echo off
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyEnable /t REG_DWORD /d 0 /f
netsh winhttp reset proxy`

/*
INSTALAR ESSAS EXTENÇÕES DO VSCODE

danielpinto8zz6.c-cpp-compile-run
ms-ceintl.vscode-language-pack-pt-br
ms-vscode.cpptools-extension-pack
ms-python.debugpy
ms-python.python
ms-python.vscode-pylance
ms-vscode.cpptools
*/
